package edu.nyu.scps.progress;

import android.app.Activity;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;

public class ProgressActivity extends Activity {
	static final int PROGRESS_DIALOG_ID = 0;
	ProgressDialog progressDialog;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		final Button button = (Button)findViewById(R.id.button);

		button.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				showDialog(PROGRESS_DIALOG_ID);
			}
		});
	}

	@Override
	protected Dialog onCreateDialog(int id, Bundle bundle) {
		switch (id) {
		case PROGRESS_DIALOG_ID:
			progressDialog = new ProgressDialog(this);
			progressDialog.setIconAttribute(android.R.attr.alertDialogIcon);
			progressDialog.setTitle(android.R.string.dialog_alert_title);
			progressDialog.setMessage("Are we making progress?");
			progressDialog.setProgressStyle(ProgressDialog.STYLE_HORIZONTAL);
			progressDialog.setMax(100);		//the default
			return progressDialog;

		default:
			return null;
		}
	}

	@Override
	protected void onPrepareDialog(int id, Dialog dialog) {
		switch (id) {
		case PROGRESS_DIALOG_ID:
			progressDialog.setProgress(0);
			LinearLayout linearLayout = (LinearLayout)findViewById(R.id.linearLayout);
			ProgressTask progressTask =
				new ProgressTask(this, linearLayout, PROGRESS_DIALOG_ID, (ProgressDialog)dialog);
			progressTask.execute();
			break;

		default:
			break;
		}
	}
}